task merge {
	Array[File] violation_vcf_gz
	Array[File] violation_vcf_idx
	Array[File] consistent_vcf_gz
	Array[File] consistent_vcf_idx
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge --force-merge-all --no-gzip -o all.violation.vcf ${sep=" " violation_vcf_gz}
		rtg vcfmerge --force-merge-all --no-gzip -o all.consistent.vcf ${sep=" " consistent_vcf_gz}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File violation_merged_vcf = "all.violation.vcf"
		File consistent_merged_vcf = "all.consistent.vcf"
	}
}

