import "./tasks/mendelian.wdl" as mendelian
import "./tasks/merge.wdl" as merge
import "./tasks/KeepVar.wdl" as KeepVar
 
workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File sdf
	String cluster_config
	String disk_size

	scatter (sample in inputSamples){
		call mendelian.mendelian as mendelian {
			input: 
			mother_vcf_gz=sample[0],
			father_vcf_gz=sample[1],
			child_vcf_gz=sample[2],
			mother_vcf_idx=sample[3],
			father_vcf_idx=sample[4],
			child_vcf_idx=sample[5],
			mother_name=sample[6],
			father_name=sample[7],
			child_name=sample[8],
			family_name=sample[9],
			sdf=sdf,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}

	call merge.merge as merge {
		input:
		violation_vcf_gz=mendelian.violation_vcf_gz,
		violation_vcf_idx=mendelian.violation_vcf_idx,
		consistent_vcf_gz=mendelian.consistent_vcf_gz,
		consistent_vcf_idx=mendelian.consistent_vcf_idx,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	call KeepVar.KeepVar as KeepVar {
		input:
		violation_merged_vcf=merge.violation_merged_vcf,
		consistent_merged_vcf=merge.consistent_merged_vcf,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

}